## fte 0.45

=== src/Makefile ===
all:
	@echo 'What (emx, unix, bcc2)?'

emx:
	make -f fte-emx.mak

unix:
	make -f fte-unix.mak

bcc2:
	make -f fte-bcc2.mak

## fte 0.49.13

=== Makefile ===
PREFIX=/usr/local

BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/fte
CONFIGDIR=$(LIBDIR)/config

.PHONY: all install

all:	fte
	(cd src ; make unix)

install: all
	-rm -rf $(LIBDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(LIBDIR)
	cp fte $(BINDIR)
	cp src/xfte $(BINDIR)
	cp src/cfte $(BINDIR)
	src/cfte config/main.fte $(LIBDIR)/system.fterc
	cp -r config $(LIBDIR)

fte: fte.in Makefile fte.spec
	sed <$< >$@ \
	    -e "s|@@CONFIGDIR@@|$(CONFIGDIR)|g" \
	    -e "s|@@BINDIR@@|$(BINDIR)|g"
	chmod a+x $@

dist: fte

clean:
	rm -f fte
	(cd src ; make -f fte-unix.mak clean)

=== src/Makefile ===
MAKE=make

all:
	@echo 'What (emx, unix, bcc2, win32ms, djgpp2)?'

emx:
	$(MAKE) -f fte-emx.mak

unix:
	$(MAKE) -f fte-unix.mak

bcc2:
	$(MAKE) -f fte-bcc2.mak

win32ms:
	nmake /f fte-msvc.mak

djgpp2:
	$(MAKE) -f fte-dj2.mak

## fte 0.49.13-15woody1

=== Makefile ===
PREFIX=/usr/local

BINDIR=$(PREFIX)/bin
LIBDIR=$(PREFIX)/lib/fte
CONFIGDIR=$(LIBDIR)/config

.PHONY: all install

all:	fte
	(cd src ; make unix)

install: all
	sh install

fte: fte.in Makefile fte.spec
	sed < fte.in >$@ \
	    -e "s|@@CONFIGDIR@@|$(CONFIGDIR)|g" \
	    -e "s|@@BINDIR@@|$(BINDIR)|g"
	chmod a+x $@

dist: fte

clean:
	rm -f fte
	(cd src ; make -f fte-unix.mak clean)

=== src/Makefile ===
MAKE=make

all:
	@echo 'What (emx, unix, bcc2, win32ms, win32mingw, djgpp2, vag)?'

emx:
	$(MAKE) -f fte-emx.mak

unix:
	$(MAKE) -f fte-unix.mak

bcc2:
	$(MAKE) -f fte-bcc2.mak

win32ms:
	nmake /f fte-msvc.mak

win32mingw:
	$(MAKE) -f fte-mngw.mak

djgpp2:
	$(MAKE) -f fte-dj2.mak

vag:
	nmake /f fte-vag.mak

=== debian/changelog ===
fte (0.49.13-15woody1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Remove setuid bit from vfte, resolving CAN-2003-0648 and #203871

 -- Matt Zimmerman <mdz@debian.org>  Thu, 25 Mar 2004 15:25:18 -0800

fte (0.49.13-15) unstable; urgency=low

  * fixed bug in o_message.cpp causing unexpected crash
  * some gcc-3.0 compilation fixes (Closes: #104809)
  * added lintian override file for fte-console

 -- Zdenek Kabelac <kabi@debian.org>  Thu,  17 Jul 2001 14:04:21 +0200

fte (0.49.13-14) unstable; urgency=high

  * CVS 2001/06/21
  * fixed some serious text corruption bug - introduced into
    CVS by some "unexperienced" programmer

 -- Zdenek Kabelac <kabi@debian.org>  Thu,  21 Jun 2001 14:04:21 +0200
  

fte (0.49.13-13) unstable; urgency=low

  * CVS 2001/06/14
  * fixed building dependency bug (Closes: #100052)
  * fixed X Window System description bug (Closes: #76078)
  * (Closes: #96444) - it was not the fault of fte
  
 -- Zdenek Kabelac <kabi@debian.org>  Thu,  7 Jun 2001 14:04:21 +0200

fte (0.49.13-12) unstable; urgency=low

  * CVS 2001/06/07
  * fixed bug in colorizing of floating point numbers
  
 -- Zdenek Kabelac <kabi@debian.org>  Thu,  7 Jun 2001 14:04:21 +0200

fte (0.49.13-11) unstable; urgency=low

  * update after some long time - using CVS 2001/06/05
  * removed usage of dh_suidregister
  * fixed bug in reading to large $HOME shell variable (Closes: #68435)
  * fixed update-alternatives for editor (Closes: #71213)
  * fixed control file for fte-xwindow added Replaces:  (Closes: #71574)
  * fixed bug in fte init wrapper script (Closes: #72908)

 -- Zdenek Kabelac <kabi@debian.org>  Sun,  3 Jun 2001 16:04:21 +0200

fte (0.49.13-10) frozen unstable; urgency=low

  * fixed typo in debian/rules script
  * fixed Build-Depends (missing dependencies) (Closes: #57254)

 -- Zdenek Kabelac <kabi@debian.org>  Tue, 15 Feb 2000 16:04:21 +0100

fte (0.49.13-9) frozen unstable; urgency=low

  * fixed problem with wrong character on linux console
    for both terminal and console version (Closes: #54764, 54765)
    (linux console is using iso character for borders,
    slang version uses slightly modified table for linux terminal)
  * addeded PHP mode (MIGUEL HERNANDEZ MARTOS x4278303@fedro.ugr.es)
  * fixed problem with wrong recognization of shell file
    (e.g. file beginning with #! /bin/sh is shell file)
  * fixed comment/uncomment option to Edit/Line menu

 -- Zdenek Kabelac <kabi@debian.org>  Wed,  2 Feb 2000 20:13:44 +0100

fte (0.49.13-8) unstable; urgency=low

  * applied bugfix from freshmeat December 28th 1999, 21:30 EST
  * changed one dependency line from Recommends: to Depenends: for
    the fte package (Closes: #53299)
  * slightly improved fte running script
  * upgraded Standards-Version number and Build-Depends field
  * fixed minor problem with version number (Closes: #53635)
  * 

 -- Zdenek Kabelac <kabi@debian.org>  Wed,  2 Feb 2000 20:13:44 +0100

fte (0.49.13-7) unstable; urgency=low

  * fixed some minor problems with tabulators
    (e.g. tabs are now generated in Makefiles)
  * (Closes: #53015) - doesn't happen with 0.49 series
  * using gpg

 -- Zdenek Kabelac <kabi@debian.org>  Mon,  3 Jan 2000 19:38:41 +0100

fte (0.49.13-6) unstable; urgency=low

  * fixed fte running script (Closes: #49895)
  * improved error handling when opening XWindow font
  * some lines added to manpage
  * extended the name of the default font for better adaptability
    and improved opening of localized font (Closes: #50082)
    (thanks Alexander Shumakovitch for cooperation)

 -- Zdenek Kabelac <kabi@debian.org>  Mon, 13 Dec 1999 20:00:05 +0100

fte (0.49.13-5) unstable; urgency=low

  * added more colorizer modes to menus
  * improvements & bugfixes in some colorizers
  * added check for the ISOCONSOLE shell variable - users can use
    iso-8859-x fonts on linux console with VFTE
  * removed colors from ctaged keywords (looks ugly)
  * added ctags suggestion
  * added explanation of shell variable to manpage
  * unreleased

 -- Zdenek Kabelac <kabi@debian.org>  Sun, 24 Nov 1999 22:00:05 +0100

fte (0.49.13-4) unstable; urgency=low

  * fixed problem with line auto-indenting
  * fixed suid registering for vfte

 -- Zdenek Kabelac <kabi@debian.org>  Sun, 10 Oct 1999 16:54:05 +0100

fte (0.49.13-3) unstable; urgency=low

  * small fixes in building scripts

 -- Zdenek Kabelac <kabi@debian.org>  Tue, 4 Oct 1999 21:34:25 +0100

fte (0.49.13-2) unstable; urgency=low

  * changed design of debian packages
  * using debmake
  * following FSH directions
  * fixed various bugs in X-Windows version

 -- Zdenek Kabelac <kabi@debian.org>  Tue, 28 Sep 1999 19:34:25 +0200

fte (0.49.13-1) unstable; urgency=low

  * new upstream version
  * as usual bug fixes
  * added comments to international usage of the fte (8bit)
  * unreleased

 -- Zdenek Kabelac <kabi@debian.org>  Sun, 30 May 1999 16:46:45 +0200

fte (0.49.2-1) unstable; urgency=low

  * a lot of changes again
  * various bug fixes
  * new binary - sfte based upon slang library (usable in xterm)
  * much better completition mode (Ctrl+Tab)
  * this was prerelease version and was not publicly available

 -- Zdenek Kabelac <kabi@debian.org>  Wed, 16 Dec 1998 19:05:50 +0100

fte (0.46b5-4.2) frozen unstable; urgency=low

  * non-maintainer upload
  * moved the seteuid(getuid()) call to beginning of main() where it
    does the most good. Added dropping of privs in case the open failed
    which would have left it privileged until die() finished and the
    program exited. Also added code in case the binary was ever sgid to
    handle dropping privileges.

 -- Ben Collins <bcollins@debian.org>  Sat,  5 Dec 1998 19:05:59 -0500

fte (0.46b5-4.1) frozen unstable; urgency=low

  * non-maintainer upload
  * edited con_linux.c to give use suid root permissions only to open
    the virtual console. (closes #30384) This was a critical security
    related bug.


=== debian/control ===
Source: fte
Section: editors
Priority: optional
Maintainer: Zdenek Kabelac <kabi@debian.org>
Standards-Version: 3.1.1.1
Build-Depends: debhelper, perl5, xlibs-dev, libgpmg1-dev, libncurses5-dev, slang1-dev, patch,

Package: fte
Architecture: any
Depends: ${shlibs:Depends}, fte-xwindow | fte-terminal | fte-console
Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
Suggests: fte-docs, exuberant-ctags
Description: Text editor for programmers -  base package
 Package contains files necessary to build configuration file
 and some elementary documentation.
 There is no editor in this package.
 Please select some from the list of suggested binary packages.

Package: fte-docs
Architecture: any
Depends: fte (= ${Source-Version})
Replaces: fte-cfgdocs (<< 0.49.13-3)
Description: HTML documentation and example of configuration.
 HTML documentation and example of configuration.

Package: fte-xwindow
Architecture: any
Depends: ${shlibs:Depends}, fte (= ${Source-Version})
Replaces: fte (<< 0.49.2-1)
Description: Text editor for X Window System with I18N support. (for programmers)
 Color syntax highlighting for many more languages.
 Smart indention for C, C++, Java, Perl.
 Multiple file/window editing, Column blocks, configurable menus and
 keyboard bindings, mouse support, undo/redo, regular expression search
 and replace, folding, background compiler execution.
 X Window System edition.

Package: fte-console
Architecture: any
Depends: ${shlibs:Depends}, fte (= ${Source-Version})
Conflicts: suidmanager (<< 0.50)
Description: Text editor for console (no I18N support). (for programmers)
 Color syntax highlighting for many more languages.
 Smart indention for C, C++, Java, Perl.
 Multiple file/window editing, Column blocks, configurable menus and
 keyboard bindings, mouse support, undo/redo, regular expression search
 and replace, folding, background compiler execution.
 Linux console edition.

Package: fte-terminal
Architecture: any
Depends: ${shlibs:Depends}, fte (= ${Source-Version})
Description: Text editor for terminals. (for programmers)
 Color syntax highlighting for many more languages.
 Smart indentation for C, C++, Java, Perl.
 Multiple file/window editing, Column blocks, configurable menus and
 keyboard bindings, mouse support, undo/redo, regular expression search
 and replace, folding, background compiler execution.
 Terminal (e.g.: xterm, vt100) edition.

=== debian/rules ===
#!/usr/bin/make -f

# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
#
# Modified to work for fte by Riku Voipio <riku.voipio@iki.fi>
#
# Modified to work for fte by Zdenek Kabelac <kabi@debian.org>


INST=install -p
DEBSTD=debstd
package=fte
docs=$(package)-docs
console=$(package)-console
terminal=$(package)-terminal
xwindow=$(package)-xwindow

allpackages=\
	debian/tmp\
	debian/$(docs)\
        debian/$(console)\
        debian/$(terminal)\
        debian/$(xwindow)

build:
	$(checkdir)
	$(MAKE) -C src/ -j 4 -f fte-unix.mak
	touch build

cleanB:
	$(checkdir)
	@rm -f `find . -name "*~"`
	@rm -rf `find debian/* -type d ! -name CVS ` debian/files* core
	@rm -f debian/*.debhelper
	@rm -f debian/*.substvars
	@rm -rf $(allpackages) debian/files* core

clean: cleanB
	$(checkdir)
	@rm -f build
	@$(MAKE) -C src/ -f fte-unix.mak clean

binary-indep:
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: cleanB checkroot checkscripts build
	$(checkdir)
	@echo ":: Preparing packages"
#	@$(INST) -d debian
#	@cd debian; install -d `cat *.dirs`
	dh_testdir
	dh_testroot
	dh_installdirs

	@echo "/etc/fte/system.fterc" >debian/conffiles
##	find config -type f | sed -e 's/^/\/etc\/fte\//g' >>debian/conffiles
	@$(INST) -s src/cfte debian/tmp/usr/bin/
	@cd config; ../src/cfte main.fte ../debian/tmp/etc/fte/system.fterc

	@tar cf debian/$(docs)/usr/share/doc/fte/config-example.tar config
	@$(INST) -s -m 4755 src/vfte debian/$(console)/usr/bin/
	@$(INST) -s src/sfte debian/$(terminal)/usr/bin/
	@$(INST) -s src/xfte debian/$(xwindow)/usr/X11R6/bin/
	@$(INST) -m 755 debian/fte debian/tmp/usr/bin/fte
	@ln -s ../../../share/man/man1/fte.1.gz debian/$(xwindow)/usr/X11R6/man/man1/xfte.1.gz
	@ln -s fte.1.gz debian/$(console)/usr/share/man/man1/vfte.1.gz
	@ln -s fte.1.gz debian/$(terminal)/usr/share/man/man1/sfte.1.gz
	@cp -a debian/fte-console.lintian debian/$(console)/usr/share/lintian/overrides/fte-console

#	@cp -a debian/cfte.1 debian/$(docs)/usr/share/man/man1
#	@find doc -type f | grep -v INDEX >debian/$(docs).docs
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
#	@chown -R root.root $(allpackages)
#	@chmod -R go=rX $(allpackages)
#	@$(DEBSTD) -m BUGS HISTORY README TODO

	dh_installdocs BUGS HISTORY README TODO

	dh_installexamples
	dh_installchangelogs

# this way we are saving few inodes and making it more user friendly
	@rm -rf debian/$(docs)/usr/share/doc/$(docs)
	@rm -rf debian/$(console)/usr/share/doc/$(console)
	@rm -rf debian/$(terminal)/usr/share/doc/$(terminal)
	@rm -rf debian/$(xwindow)/usr/share/doc/$(xwindow)
	@ln -s fte debian/$(docs)/usr/share/doc/$(docs)
	@ln -s fte debian/$(console)/usr/share/doc/$(console)
	@ln -s fte debian/$(terminal)/usr/share/doc/$(terminal)
	@ln -s fte debian/$(xwindow)/usr/share/doc/$(xwindow)

	@cp -a doc/*.html debian/$(docs)/usr/share/doc/$(docs)

	dh_installmenu
	dh_installcron
	dh_installmanpages -pfte
	dh_movefiles
	dh_strip
	dh_compress
	dh_fixperms
#obsoleted	dh_suidregister
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_installdeb
	dh_md5sums
	dh_builddeb -v

#	dpkg-shlibdeps debian/tmp/usr/X11R6/bin/xfte -drecommends debian/tmp/usr/bin/vfte debian/tmp/usr/bin/cfte
#	@dpkg-gencontrol -pfte
#	dpkg --build debian/tmp ..

define checkdir
	@test -f debian/rules
endef

checkscripts:
	@echo ":: Checking scripts"
	@bash -n debian/postrm
	@bash -n debian/postinst

# Below here is fairly generic really

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	@echo ":: Checking ROOT user"
	@test root = "`whoami`"

.PHONY: binary binary-indep binary-arch clean checkroot

## fte 0.49.13-15.woody2

=== debian/changelog ===
fte (0.49.13-15.woody2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Adjusted the version number so that it is higher than 0.49.13-15woody1
    and 0.49.13-15.0.1 [CAN-2003-0648]

 -- Martin Schulze <joey@infodrom.org>  Tue, 26 Oct 2004 11:20:58 +0200

## fte 0.50.0-1.1

=== src/Makefile ===
MAKE=make

all:
	@echo 'What (emx, unix, cygwin, bcc2, win32ms, win32bcc5, win32mingw, djgpp2, vag)?'

emx:
	$(MAKE) -f fte-emx.mak

unix:
	$(MAKE) -f fte-unix.mak

cygwin:
	$(MAKE) -f fte-cygwin-xf86.mak

bcc2:
	$(MAKE) -f fte-bcc2.mak

win32ms:
	nmake /f fte-msvc.mak

win32mingw:
	$(MAKE) -f fte-mngw.mak

win32bcc5:
	$(MAKE) -f fte-bcc5.mak

djgpp2:
	$(MAKE) -f fte-dj2.mak

vag:
	nmake /f fte-vag.mak

clean:
	rm -f core *.o *~

=== debian/changelog ===
fte (0.50.0-1.1) unstable; urgency=high

  * Remove setuid privileges from vfte due to a number of confirmed
    vulnerabilities (CAN-2003-0648, Closes: #203871)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 29 Jan 2004 10:07:18 -0800

fte (0.50.0-1) unstable; urgency=low

  * CVS 2003/07/10
  * fixed spelling (Closes: 12468, 12469)
  * applied patch (Closes: 118734)
  * added linda override file
  * add mini-edit.xpm fte icon based on icons/fte16x16.xpm with reduced
    colors (Closes: #127877)
  * if user has set DISPLAY it's correct it will open xfte
    even over ssh - it's correct behaviour - not bug (Closes: 118734)
  * actualized README.Debian (Closes: 151674)

 -- Zdenek Kabelac <kabi@debian.org>  Thu,  7 Jul 2003 14:04:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,6 @@
 
 # Sample debian/rules that uses debhelper.
 # GNU copyright 1997 to 1999 by Joey Hess.
-
-#
-# This version is for a multibinary package. It also allows you to build any
-# of the binary packages independantly, via binary-<package> targets.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -40,22 +36,18 @@
         debian/$(xwindow)
 
 build:
-	$(checkdir)
-	$(MAKE) -C src/ -j 4 -f fte-unix.mak
+	@dh_testdir
+	$(MAKE) -C src -j 2 -f fte-unix.mak
 	touch build
 
 cleanB:
-	$(checkdir)
-	@rm -f `find . -name "*~"`
-	@rm -rf `find debian/* -type d ! -name CVS ` debian/files* core
-	@rm -f debian/*.debhelper
-	@rm -f debian/*.substvars
-	@rm -rf $(allpackages) debian/files* core
+	@dh_testdir
+	@dh_clean
 
 clean: cleanB
-	$(checkdir)
+	@dh_testdir
 	@rm -f build
-	@$(MAKE) -C src/ -f fte-unix.mak clean
+	@$(MAKE) -C src -f fte-unix.mak clean
 
 binary-indep:
 # There are no architecture-independent files to be uploaded
@@ -63,7 +55,7 @@
 # made here.
 
 binary-arch: cleanB checkroot checkscripts build
-	$(checkdir)
+	@dh_testdir
 	@echo ":: Preparing packages"
 #	@$(INST) -d debian
 #	@cd debian; install -d `cat *.dirs`
@@ -130,10 +122,6 @@
 #	@dpkg-gencontrol -pfte
 #	dpkg --build debian/tmp ..
 
-define checkdir
-	@test -f debian/rules
-endef
-
 checkscripts:
 	@echo ":: Checking scripts"
 	@bash -n debian/postrm
@@ -147,7 +135,7 @@
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
 checkroot:
-	$(checkdir)
+	@dh_testdir
 	@echo ":: Checking ROOT user"
 	@test root = "`whoami`"

## fte 0.50.0-1.1ubuntu1

=== debian/changelog ===
fte (0.50.0-1.1ubuntu1) breezy; urgency=low

  * Close bracket in egrep in debian/fte (Closes Malone #2143)

 -- Barry deFreese <bddebian@comcast.net>  Sat, 17 Sep 2005 19:21:59 -0400

## fte 0.50.0-1.2ubuntu1

=== debian/changelog ===
fte (0.50.0-1.2ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Yann Rouillard <yann@pleiades.fr.eu.org>  Thu, 05 Jan 2006 12:48:26 +0000

fte (0.50.0-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update slang build-dep (Closes: #315648).
  * Removed -Wmissing-prototypes as not supported (anymore)
  * src/con_slang.cpp: Explicit conversions to make sure it builds. 

 -- Luk Claes <luk@debian.org>  Wed, 28 Dec 2005 17:02:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Zdenek Kabelac <kabi@debian.org>
 Standards-Version: 3.1.1.1
-Build-Depends: debhelper, perl5, xlibs-dev, libgpmg1-dev, libncurses5-dev, slang1-dev, patch,
+Build-Depends: debhelper, perl5, xlibs-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
 
 Package: fte
 Architecture: any
 Depends: ${shlibs:Depends}, fte-xwindow | fte-terminal | fte-console
 Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
 Suggests: fte-docs, exuberant-ctags
-Description: Text editor for programmers -  base package
+Description: Text editor for programmers - base package
  Package contains files necessary to build configuration file
  and some elementary documentation.
  There is no editor in this package.
@@ -21,7 +21,7 @@
 Depends: fte (= ${Source-Version})
 Replaces: fte-cfgdocs (<< 0.49.13-3)
 Description: HTML documentation and example of configuration.
- HTML documentation and example of configuration.
+ Package constains documentation files for editor.
 
 Package: fte-xwindow
 Architecture: any
@@ -29,7 +29,7 @@
 Replaces: fte (<< 0.49.2-1)
 Description: Text editor for X Window System with I18N support. (for programmers)
  Color syntax highlighting for many more languages.
- Smart indention for C, C++, Java, Perl.
+ Smart indentation for C, C++, Java, Perl.
  Multiple file/window editing, Column blocks, configurable menus and
  keyboard bindings, mouse support, undo/redo, regular expression search
  and replace, folding, background compiler execution.
@@ -41,7 +41,7 @@
 Conflicts: suidmanager (<< 0.50)
 Description: Text editor for console (no I18N support). (for programmers)
  Color syntax highlighting for many more languages.
- Smart indention for C, C++, Java, Perl.
+ Smart indentation for C, C++, Java, Perl.
  Multiple file/window editing, Column blocks, configurable menus and
  keyboard bindings, mouse support, undo/redo, regular expression search
  and replace, folding, background compiler execution.

## fte 0.50.0-1.4

=== debian/changelog ===
fte (0.50.0-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Move xfte out of /usr/X11R6.  Closes: #362912.
  * src/con_slang.cpp: Really port to S-Lang2 (fixing a buffer overflow).
    Closes: #346284.
  * debian/fte: Add closing bracket in regular expression.  Thanks to
    Nate Bargmann for the patch.  Closes: #217266.
  * Make the package descriptions more consistent and explanatory.
    Closes: #209496, #363527.

 -- Matej Vela <vela@debian.org>  Mon,  5 Jun 2006 06:52:10 +0200

fte (0.50.0-1.3) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346262)
  * Quote values in menu files.

 -- Luk Claes <luk@debian.org>  Sat,  7 Jan 2006 00:09:50 +0100

=== debian/control ===
Source: fte
Section: editors
Priority: optional
Maintainer: Zdenek Kabelac <kabi@debian.org>
Standards-Version: 3.1.1.1
Build-Depends: debhelper, perl5, libx11-dev, libxt-dev, x-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,

Package: fte
Architecture: any
Depends: ${shlibs:Depends}, fte-xwindow | fte-terminal | fte-console
Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
Suggests: fte-docs, exuberant-ctags
Description: Text editor for programmers - base package
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This package contains files necessary to build a configuration file and
 some elementary documentation.  There is no editor here; please select one
 of the packages in the dependencies.

Package: fte-docs
Architecture: any
Depends: fte (= ${Source-Version})
Replaces: fte-cfgdocs (<< 0.49.13-3)
Description: Documentation and examples for the FTE editor
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This package contains HTML documentation and sample configuration files.

Package: fte-xwindow
Architecture: any
Depends: ${shlibs:Depends}, fte (= ${Source-Version})
Replaces: fte (<< 0.49.2-1)
Description: Text editor for programmers - X Window System edition with I18N support
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This is the X Window System edition, with internationalization support.

Package: fte-console
Architecture: any
Depends: ${shlibs:Depends}, fte (= ${Source-Version})
Conflicts: suidmanager (<< 0.50)
Description: Text editor for programmers - console edition, no I18N support
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This is the Linux console edition, without internationalization support.

Package: fte-terminal
Architecture: any
Depends: ${shlibs:Depends}, fte (= ${Source-Version})
Description: Text editor for programmers - version for terminals
 FTE is a text editor for programmers.  Some of its features are smart
 indentation for C, C++, Java, Perl; color syntax highlighting for many more
 languages; multiple file/window editing; column blocks; configurable menus
 and keyboard bindings; mouse support; undo/redo; regular expression search
 and replace; folding; background compiler execution.
 .
 This is the version for terminals (e.g. xterm, vt100).

=== debian/rules ===
--- 
+++ 
@@ -71,9 +71,9 @@
 	@tar cf debian/$(docs)/usr/share/doc/fte/config-example.tar config
 	@$(INST) -s -m 4755 src/vfte debian/$(console)/usr/bin/
 	@$(INST) -s src/sfte debian/$(terminal)/usr/bin/
-	@$(INST) -s src/xfte debian/$(xwindow)/usr/X11R6/bin/
+	@$(INST) -s src/xfte debian/$(xwindow)/usr/bin/
 	@$(INST) -m 755 debian/fte debian/tmp/usr/bin/fte
-	@ln -s ../../../share/man/man1/fte.1.gz debian/$(xwindow)/usr/X11R6/man/man1/xfte.1.gz
+	@ln -s fte.1.gz debian/$(xwindow)/usr/share/man/man1/xfte.1.gz
 	@ln -s fte.1.gz debian/$(console)/usr/share/man/man1/vfte.1.gz
 	@ln -s fte.1.gz debian/$(terminal)/usr/share/man/man1/sfte.1.gz
 	@cp -a debian/fte-console.lintian debian/$(console)/usr/share/lintian/overrides/fte-console
@@ -118,7 +118,7 @@
 	dh_md5sums
 	dh_builddeb -v
 
-#	dpkg-shlibdeps debian/tmp/usr/X11R6/bin/xfte -drecommends debian/tmp/usr/bin/vfte debian/tmp/usr/bin/cfte
+#	dpkg-shlibdeps debian/tmp/usr/bin/xfte -drecommends debian/tmp/usr/bin/vfte debian/tmp/usr/bin/cfte
 #	@dpkg-gencontrol -pfte
 #	dpkg --build debian/tmp ..

## fte 0.50.0-1.4build1

=== debian/changelog ===
fte (0.50.0-1.4build1) intrepid; urgency=low

  * Rebuild for libgpmg1 -> libgpm2 transistion.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 20 Jul 2008 05:24:41 +1000

## fte 0.50.0-2

=== debian/changelog ===
fte (0.50.0-2) unstable; urgency=low

  * QA upload.
    + Set maintainer to Debian QA Group <packages@qa.debian.org>
  * Version debhelper build-dep and set to >= 5.0.0.
  * Move DH_COMPAT from rules to debian/compat and set to 5.
  * Update x-dev build-dep to x11proto-core-dev. (Closes: #515373).
  * Hammer build system to actually use debhelper.
  * Add ${misc:Depends} for debhelper package.
  * Replace ${Source-Version} with ${binary:Version}.
  * Add appropriate Copyright holders to debian/copyright.
  * Add set -e to maintainer scripts.
  * Remove circular depends. fte Recommends fte-*. (Closes: #387204).
  * Install menu icon. (Closes: #210614).
  * THIS PACKAGE SHOULD NOT BE NATIVE.
  * Bump Standards Version to 3.8.1.
    + Menu policy transition.

 -- Barry deFreese <bdefreese@debian.org>  Thu, 23 Apr 2009 12:42:54 -0400

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: fte
 Section: editors
 Priority: optional
-Maintainer: Zdenek Kabelac <kabi@debian.org>
-Standards-Version: 3.1.1.1
-Build-Depends: debhelper, perl5, libx11-dev, libxt-dev, x-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: debhelper (>= 5.0.0), perl5, libx11-dev, libxt-dev, x11proto-core-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
+Standards-Version: 3.8.1
 
 Package: fte
 Architecture: any
-Depends: ${shlibs:Depends}, fte-xwindow | fte-terminal | fte-console
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: fte-xwindow | fte-terminal | fte-console
 Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
 Suggests: fte-docs, exuberant-ctags
 Description: Text editor for programmers - base package
@@ -22,8 +23,9 @@
  of the packages in the dependencies.
 
 Package: fte-docs
-Architecture: any
-Depends: fte (= ${Source-Version})
+Section: doc
+Architecture: all
+Recommends: fte (= ${binary:Version})
 Replaces: fte-cfgdocs (<< 0.49.13-3)
 Description: Documentation and examples for the FTE editor
  FTE is a text editor for programmers.  Some of its features are smart
@@ -36,7 +38,7 @@
 
 Package: fte-xwindow
 Architecture: any
-Depends: ${shlibs:Depends}, fte (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
 Replaces: fte (<< 0.49.2-1)
 Description: Text editor for programmers - X Window System edition with I18N support
  FTE is a text editor for programmers.  Some of its features are smart
@@ -49,7 +51,7 @@
 
 Package: fte-console
 Architecture: any
-Depends: ${shlibs:Depends}, fte (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
 Conflicts: suidmanager (<< 0.50)
 Description: Text editor for programmers - console edition, no I18N support
  FTE is a text editor for programmers.  Some of its features are smart
@@ -62,7 +64,7 @@
 
 Package: fte-terminal
 Architecture: any
-Depends: ${shlibs:Depends}, fte (= ${Source-Version})
+Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
 Description: Text editor for programmers - version for terminals
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build:
	dh_testdir
	$(MAKE) -C src -j 2 -f fte-unix.mak
	touch build

clean:
	dh_testdir
	dh_testroot
	rm -f build
	$(MAKE) -C src -f fte-unix.mak clean
	dh_clean

binary-indep:
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -A

	cd config; $(CURDIR)/src/cfte main.fte $(CURDIR)/debian/fte/etc/fte/system.fterc
	cp debian/fte.sh $(CURDIR)/debian/fte/usr/bin/fte
	tar czf $(CURDIR)/debian/fte-docs/usr/share/doc/fte/config-example.tar.gz config

	dh_install
	dh_installdocs
	dh_installexamples
	dh_installchangelogs
	dh_installmenu
	dh_installcron
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_shlibdeps
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb -v


source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: binary binary-indep binary-arch clean

## fte 0.50.2b6

=== Makefile ===
MAKE=make

all:
	@echo 'What (emx, unix, cygwin, bcc2, win32ms, win32bcc5, win32mingw, djgpp2, vag)?'

emx:
	$(MAKE) -f fte-emx.mak

unix:
	$(MAKE) -f fte-unix.mak

cygwin:
	$(MAKE) -f fte-cygwin-xf86.mak

bcc2:
	$(MAKE) -f fte-bcc2.mak

win32ms:
	nmake /f fte-msvc.mak

win32mingw:
	$(MAKE) -f fte-mngw.mak

win32bcc5:
	$(MAKE) -f fte-bcc5.mak

djgpp2:
	$(MAKE) -f fte-dj2.mak

vag:
	nmake /f fte-vag.mak

.PHONY: tags
tags:
	$(RM) -f tags
	find . -type f \( -name '*.cpp' -o -name '*.c' -o -name '*.h' \) | xargs ctags -a

clean:
	$(RM) -f core *.o *~ *.gch cscope.out .depend defcfg.h defcfg.cnf tags

=== debian/changelog ===
fte (0.50.2b6-8) unstable; urgency=medium

  * QA upload.
  * Apply patch by Reiner Herrmann to make build reproducible. (Closes:
    #803064)
    + Add build-dependency on tar >= 1.28

 -- Axel Beckert <abe@debian.org>  Thu, 12 Nov 2015 20:20:36 +0100

fte (0.50.2b6-7) unstable; urgency=medium

  * QA upload.
  * Add override_dh_install-arch and create /etc/fte/system.fterc
    there, where it probably belongs. Reported by Axel Beckert.

 -- Santiago Vila <sanvila@debian.org>  Mon, 14 Sep 2015 23:32:38 +0200

fte (0.50.2b6-6) unstable; urgency=low

  * QA upload.
  * debian/rules: Set sane permissions on the "config" directory
    before creating config-example.tar.gz from its contents.

 -- Santiago Vila <sanvila@debian.org>  Mon, 31 Aug 2015 13:00:42 +0200

fte (0.50.2b6-5) unstable; urgency=low

  * QA upload.
  * Add forgotten "QA upload" to previous changelog entry.
  * Override dh_auto_install with noop. It triggers upstream's default
    build target which breaks non-linux builds.
  * Add patch to properly pass through compile flags. Fixes lintian
    warning "hardening-no-relro" and blhc warning "LDFLAGS missing".

 -- Axel Beckert <abe@debian.org>  Wed, 27 May 2015 02:02:42 +0200

fte (0.50.2b6-4) unstable; urgency=low

  * QA upload.
  * Fix arch-only builds.

 -- Axel Beckert <abe@debian.org>  Tue, 26 May 2015 00:55:34 +0200

fte (0.50.2b6-3) unstable; urgency=low

  * QA upload.
  * Add Vcs-* headers for newly created collab-maint git repository.
  * Apply wrap-and-sort.
  * Replace hardcoded architecture lists with linux-any. (Closes: #634338)
  * Replace build-dependency on obsolete virtual package "perl5" by
    "perl". (Closes: #786676)
  * Change debian/rules to the minimal dh v7 style.
    + Switch to using dh_auto_{configure,build,install,clean}.
    + Fixes installation of configuration examples. (Closes: #643017)
  * Bump debhelper compatibility level to 9
    + Update versioned build-dependency on debhelper accordingly.
  * Add fte to debian/clean.
  * Remove ancient (pre-oldoldstable) versioned Conflicts and Replaces.
    + Fixes lintian warning conflicts-with-version.
  * Declare compliance with Debian Policy 3.9.6 (no other changes needed).
  * Install NEWS as upstream changelog.
  * Explicitly run "gzip -n" to compress example config tar ball.
    + Fixes lintian warning package-contains-timestamped-gzip.
  * Convert debian/copyright to machine-readable DEP5 format.
  * Add patch to fix spelling error in messages and variable names.
  * Remove now obsolete debian/fte-{console,terminal,xwindow}.dirs.
    + Fixes lintian warning package-contains-empty-directory.
  * Rename debian/fte.sh to debian/bin/fte to be able to install it via
    debian/fte.install.
  * Fix lintian warning hyphen-used-as-minus-sign in debian/fte.1.
  * Add patch by Alexander Ovchinnikov to fix FTBFS with clang. (Closes:
    #749086)

 -- Axel Beckert <abe@debian.org>  Tue, 26 May 2015 00:01:09 +0200

fte (0.50.2b6-2) unstable; urgency=medium

  * QA upload.
  * Fix unhandled symlink-to-directory conversion dating back to to the
    lenny -> squeeze upgrade.  (Closes: #774938)
  * d/rules: Run dh_installdeb before dh_gencontrol.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 09 Jan 2015 12:09:10 +0100

fte (0.50.2b6-1) unstable; urgency=low

  * QA upload.
  * Synchronise with current upstream sources.
    (Closes: #195945)
  * Include NMUs by Nobuhiro Iwamatsu and Hideki Yamane,
    thanks to both.
  * Move to 3.0 quilt

 -- Neil Williams <codehelp@debian.org>  Sun, 14 Aug 2011 10:28:46 +0100

fte (0.50.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build fte-console binary package on powerpc, s390, sparc and sh4.
    (Closes: #586160)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 28 Jul 2010 12:21:19 +0900

fte (0.50.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
    - add "Build-Depends: libxpm-dev" (Closes: #573625)

 -- Hideki Yamane <henrich@debian.org>  Sat, 22 May 2010 11:44:19 +0900

fte (0.50.2-1) unstable; urgency=low

  * CVS 2010/03/07
  * fixed build-dependency x-dev -> x11proto-core-dev (Closes: #515373)
  * applied patch GNU/kFreeBSD by Peter Salinger (Closes: #379778)
  * fixed segfault with ctags (Closes: #222485)
  * fixed lots of endianes issues upstream  (Closes: #471376)
  * added Provides: editor (Closes: #398746)
  * pushing NMU to upstream files

 -- Zdenek Kabelac <kabi@debian.org>  Tue, 06 Mar 2010 19:55:23 +0100

fte (0.50.0-3) unstable; urgency=low

  * QA upload
  * Enable compilation on non-linux architectures, based on a patch by
    Petr Salinger (thanks!) (Closes: #379778):
    - no build-depends on libgpmg1-dev on kfreebsd, hurd
    - adapt invocation of make in build target to non-linux architectures
    - restrict architecture of fte-console to linux
    - use -a flag for dh_* calls in binary_arch target
  * fte-docs depends on ${misc:Depends}.
  * Add stuff for target binary-indep
  * Register documents in the fte-docs package with doc-base, instead of menu

 -- Ralf Treinen <treinen@debian.org>  Tue, 23 Feb 2010 21:28:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,29 @@
 Section: editors
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 5.0.0), perl5, libx11-dev, libxt-dev, x11proto-core-dev, libgpmg1-dev, libncurses5-dev, libslang2-dev, patch,
-Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 9),
+               libgpmg1-dev [linux-any],
+               libncurses5-dev,
+               libslang2-dev,
+               libx11-dev,
+               libxpm-dev,
+               libxt-dev,
+               patch,
+               perl,
+               tar (>= 1.28),
+               x11proto-core-dev
+Homepage: http://fte.sourceforge.net/
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/fte.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fte.git/
 
 Package: fte
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: fte-xwindow | fte-terminal | fte-console
-Conflicts: fte-console (<< 0.49.13-3), fte-cfgdocs (<< 0.49.13-3)
-Suggests: fte-docs, exuberant-ctags
+Suggests: exuberant-ctags,
+          fte-docs
 Description: Text editor for programmers - base package
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -25,8 +39,8 @@
 Package: fte-docs
 Section: doc
 Architecture: all
+Depends: ${misc:Depends}
 Recommends: fte (= ${binary:Version})
-Replaces: fte-cfgdocs (<< 0.49.13-3)
 Description: Documentation and examples for the FTE editor
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -38,8 +52,11 @@
 
 Package: fte-xwindow
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
-Replaces: fte (<< 0.49.2-1)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: fte (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: editor
 Description: Text editor for programmers - X Window System edition with I18N support
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -50,9 +67,12 @@
  This is the X Window System edition, with internationalization support.
 
 Package: fte-console
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
-Conflicts: suidmanager (<< 0.50)
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: fte (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: editor
 Description: Text editor for programmers - console edition, no I18N support
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more
@@ -64,7 +84,11 @@
 
 Package: fte-terminal
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, fte (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: fte (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Provides: editor
 Description: Text editor for programmers - version for terminals
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

%:
	dh $@


override_dh_auto_build:
ifeq (linux,$(DEB_HOST_ARCH_OS))
	dh_auto_build -D src -- -f fte-unix.mak
else
	dh_auto_build -D src -- -f fte-unix.mak cfte xfte sfte nfte
endif

override_dh_auto_install:
	# Don't run dh_auto_install It triggers upstream's default
	# build target which breaks non-linux builds. See above.

override_dh_auto_clean:
	dh_auto_clean -D src -- -f fte-unix.mak

override_dh_install-arch:
	cd config; $(CURDIR)/src/cfte main.fte $(CURDIR)/debian/fte/etc/fte/system.fterc
	dh_install

override_dh_install-indep:
	chmod -R go=rX config
	tar --sort=name -cf $(CURDIR)/debian/fte-docs/usr/share/doc/fte/config-example.tar config
	gzip -9n $(CURDIR)/debian/fte-docs/usr/share/doc/fte/config-example.tar
	dh_install

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## fte 0.50.2b6-20110708

=== debian/changelog ===
fte (0.50.2b6-20110708-8) unstable; urgency=medium

  * QA upload.
  * debian/copyright: Update packaging copyright information.
  * debian/tests/control: Create autopkgtest.

  [ Andreas Beckmann ]
  * debian/salsa-ci.yml: New quoting for SALSA_CI_BLHC_ARGS.

 -- Omar Zagonel El Laden <omarzladen@gmail.com>  Sat, 04 Oct 2025 13:42:42 -0300

fte (0.50.2b6-20110708-7) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.2, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 Feb 2025 01:46:39 +0100

fte (0.50.2b6-20110708-6) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Fix building with strlcpy() provided by glibc 2.38.  (Closes: #1071307)
  * Switch from transitional B-D to libncurses-dev.
  * Declare Rules-Requires-Root: no.
  * The toolchain defaults to linking with --as-needed since bullseye.
  * Update Lintian overrides.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + fte-docs: Add Multi-Arch: foreign.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 May 2024 15:05:57 +0200

fte (0.50.2b6-20110708-5) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on tar.
    + Remove 4 maintscript entries from 4 files.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 04 Jun 2022 23:11:21 +0100

fte (0.50.2b6-20110708-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Fix day-of-week for changelog entries 0.50.2-1, 0.50.0-1, 0.49.13-
    15, 0.49.13-5, 0.49.13-3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 04 Feb 2021 01:39:59 +0000

fte (0.50.2b6-20110708-3) unstable; urgency=medium

  * QA upload.
  * Bump DH level to 12
  * Update Standards-Version to 4.4.1
  * d/control: Move packaging to salsa
  * d/rules: Use architecture.mk for DEB_HOST_ARCH_OS variable
  * Use my d.o email address

 -- Samuel Henrique <samueloph@debian.org>  Sun, 01 Dec 2019 18:59:35 +0000

fte (0.50.2b6-20110708-2) unstable; urgency=medium

  * QA upload.
  * fte-docs: Fix unhandled symlink-to-directory conversion dating back to
    the lenny -> squeeze upgrade.  (Closes: #861306)
  * Fix another typo found by lintian.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 27 Apr 2017 11:13:30 +0200

fte (0.50.2b6-20110708-1) unstable; urgency=medium

  * QA upload
  * Include the date present in upstream tar ball file names in Debian's
    upstream version number, too, to be able to properly use a watch
    file. That way we can actually use a watch file. No new upstream
    release, just a renamed orig.tar.gz file. (Closes: #819418)

 -- Axel Beckert <abe@debian.org>  Mon, 28 Mar 2016 13:09:19 +0200

fte (0.50.2b6-9) unstable; urgency=medium

  * QA upload.
  * debian/control:
    - Standards-Version: Update to 3.9.7.
    - Vcs-Browser: Correct url and use the same as Vcs-Git.
    - Vcs-Git: Use https.
  * debian/README.Debian:
    - Fix typos.
    - Rename from README.debian to README.Debian.
  * debian/rules:
    - Add DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
    - Add DEB_LDFLAGS_MAINT_APPEND variable to avoid useless dependency.
  * debian/watch: Create.

 -- Samuel Henrique <samueloph@debian.org>  Sun, 20 Mar 2016 17:20:21 -0300

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: editors
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                libgpmg1-dev [linux-any],
-               libncurses5-dev,
+               libncurses-dev,
                libslang2-dev,
                libx11-dev,
                libxpm-dev,
                libxt-dev,
                patch,
                perl,
-               tar (>= 1.28),
                x11proto-core-dev
-Homepage: http://fte.sourceforge.net/
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/collab-maint/fte.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/fte.git/
+Rules-Requires-Root: no
+Homepage: https://fte.sourceforge.net/
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/debian/fte.git
+Vcs-Browser: https://salsa.debian.org/debian/fte
 
 Package: fte
 Architecture: any
@@ -39,8 +39,10 @@
 Package: fte-docs
 Section: doc
 Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Recommends: fte (= ${binary:Version})
+Multi-Arch: foreign
 Description: Documentation and examples for the FTE editor
  FTE is a text editor for programmers.  Some of its features are smart
  indentation for C, C++, Java, Perl; color syntax highlighting for many more

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-DEB_HOST_ARCH_OS = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $@

=== debian/tests/control ===
Test-Command: fte --help | grep Version
Restrictions: superficial
